org.apache.ignite.internal.processors.cache

## Class GridCacheMvccEntryInfo

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheEntryInfo
  - - org.apache.ignite.internal.processors.cache.GridCacheMvccEntryInfo

All Implemented Interfaces:
  Serializable, MvccUpdateVersionAware, MvccVersionAware, Message

    public class GridCacheMvccEntryInfo
    extends GridCacheEntryInfo
    implements MvccVersionAware, MvccUpdateVersionAware

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`GridCacheMvccEntryInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`int` `marshalledSize(CacheObjectContext ctx)`
`long` `mvccCoordinatorVersion()`
`long` `mvccCounter()`
`int` `mvccOperationCounter()`
`byte` `mvccTxState()`
`void` `mvccTxState(byte mvccTxState)`
`void` `mvccVersion(long crd, long cntr, int opCntr)` Sets mvcc version.
`long` `newMvccCoordinatorVersion()`
`long` `newMvccCounter()`
`int` `newMvccOperationCounter()`
`byte` `newMvccTxState()`
`void` `newMvccTxState(byte newMvccTxState)`
`void` `newMvccVersion(long crd, long cntr, int opCntr)` Sets new mvcc version.
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheEntryInfo

`cacheId, cacheId, expireTime, expireTime, isDeleted, isNew, key, key, marshal, marshal, onAckReceived, setDeleted, setNew, ttl, ttl, unmarshal, unmarshal, unmarshalValue, value, value, version, version`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.mvcc.MvccVersionAware

`mvccVersion, mvccVersion, mvccVersion`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.mvcc.MvccUpdateVersionAware

`newMvccVersion, newMvccVersion, newMvccVersion`

### Constructor Detail

#### GridCacheMvccEntryInfo

    public GridCacheMvccEntryInfo()

### Method Detail

#### newMvccCoordinatorVersion

    public long newMvccCoordinatorVersion()

Specified by:
  `newMvccCoordinatorVersion` in interface `MvccUpdateVersionAware`
Returns:
  New mvcc coordinator version.

#### newMvccCounter

    public long newMvccCounter()

Specified by:
  `newMvccCounter` in interface `MvccUpdateVersionAware`
Returns:
  New mvcc counter.

#### newMvccOperationCounter

    public int newMvccOperationCounter()

Specified by:
  `newMvccOperationCounter` in interface `MvccUpdateVersionAware`
Returns:
  New mvcc operation counter.

#### newMvccTxState

    public byte newMvccTxState()

Specified by:
  `newMvccTxState` in interface `MvccUpdateVersionAware`
Returns:
  New Tx state.

#### mvccCoordinatorVersion

    public long mvccCoordinatorVersion()

Specified by:
  `mvccCoordinatorVersion` in interface `MvccVersionAware`
Returns:
  Mvcc coordinator version.

#### mvccCounter

    public long mvccCounter()

Specified by:
  `mvccCounter` in interface `MvccVersionAware`
Returns:
  Mvcc counter.

#### mvccOperationCounter

    public int mvccOperationCounter()

Specified by:
  `mvccOperationCounter` in interface `MvccVersionAware`
Returns:
  Mvcc operation counter.

#### mvccTxState

    public byte mvccTxState()

Specified by:
  `mvccTxState` in interface `MvccVersionAware`
Returns:
  Tx state hint for 'created' mvcc version.

#### mvccTxState

    public void mvccTxState(byte mvccTxState)

Parameters:
  `mvccTxState` - Mvcc version Tx state hint.

#### newMvccTxState

    public void newMvccTxState(byte newMvccTxState)

Parameters:
  `newMvccTxState` - New mvcc version Tx state hint.

#### newMvccVersion

    public void newMvccVersion(long crd,
                               long cntr,
                               int opCntr)

Sets new mvcc version.

Specified by:
  `newMvccVersion` in interface `MvccUpdateVersionAware`
Parameters:
  `crd` - New mvcc coordinator version.
  `cntr` - New mvcc counter.
  `opCntr` - New mvcc operation counter.

#### mvccVersion

    public void mvccVersion(long crd,
                            long cntr,
                            int opCntr)

Sets mvcc version.

Specified by:
  `mvccVersion` in interface `MvccVersionAware`
Parameters:
  `crd` - Mvcc coordinator version.
  `cntr` - Mvcc counter.
  `opCntr` - Mvcc operation counter.

#### marshalledSize

    public int marshalledSize(CacheObjectContext ctx)
                       throws IgniteCheckedException

Overrides:
  `marshalledSize` in class `GridCacheEntryInfo`
Parameters:
  `ctx` - Cache object context.
Returns:
  Marshalled size.
Throws:
  `IgniteCheckedException` - If failed.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Overrides:
  `writeTo` in class `GridCacheEntryInfo`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Overrides:
  `readFrom` in class `GridCacheEntryInfo`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Overrides:
  `fieldsCount` in class `GridCacheEntryInfo`
Returns:
  Fields count.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Overrides:
  `directType` in class `GridCacheEntryInfo`
Returns:
  Message type.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridCacheEntryInfo`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020